## org.mortbay.jetty
Class HttpConnection.Output

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.mortbay.jetty.AbstractGenerator.Output
                  org.mortbay.jetty.HttpConnection.Output

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable

Enclosing class:
  HttpConnection

    public class HttpConnection.Output

extends AbstractGenerator.Output

Field Summary

Fields inherited from class org.mortbay.jetty.AbstractGenerator.Output
`_buf, _closed, _generator, _maxIdleTime`

Method Summary
`void` `close()`
`void` `flush()`
`void` `print(java.lang.String s)`
`void` `sendContent(java.lang.Object content)`
`void` `sendResponse(Buffer response)`

Methods inherited from class org.mortbay.jetty.AbstractGenerator.Output
`write, write, write`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `AbstractGenerator.Output`
  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Specified by:
    `flush` in interface `java.io.Flushable`
  Overrides:
    `flush` in class `AbstractGenerator.Output`
  Throws:
    `java.io.IOException`

### print

    public void print(java.lang.String s)
               throws java.io.IOException

  Overrides:
    `print` in class `AbstractGenerator.Output`
  Throws:
    `java.io.IOException`

### sendResponse

    public void sendResponse(Buffer response)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### sendContent

    public void sendContent(java.lang.Object content)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.